PDA

View Full Version : compiling with gtk+



nerak99
17th April 2008, 01:56 PM
I am trying to compile xoscope whi uses an old version of gtk+ and the configure complains about gtk-config. gtk-config is a scripts ised in old versions of gtk, so it not there is fedora 8. (probably not 7,6,5,4 or 3 either).

Is there a fix for this?

Can I perhaps provide a script in /usr/bin that pretends to do whatever gtk-config did? or a soft link to something newer?

nerak99
17th April 2008, 03:14 PM
Partly answered myself. Leaving here for posterity as many people have the same problem.

gtk-config is provided by gtk+-devel so

yum install gtk+devel

gets me past that point.